#!/bin/sh
##
##  winesetup -- Wine setup utility for users
##

#   configuration
l_prefix="@l_prefix@"
umask 022

#   check existence of $HOME/.wine/ to make
#   sure an existing setup is not destroyed 
if [ -d $HOME/.wine/ ]; then
    echo "winesetup:ERROR: \"$HOME/.wine/\" already exists" 1>&2
    exit 1
fi

#   create important directory structure under $HOME/.wine/,
#   install default registry entries, and add initial applications
echo "winesetup: creating directory hierarchy \"$HOME/.wine/\""
$l_prefix/bin/wineprefixcreate 2>/dev/null

#   install default Wine user configuration file
if [ ! -f "$HOME/.wine/config" ]; then
    echo "winesetup: creating file \"$HOME/.wine/config\""
    cp $l_prefix/share/wine/config $HOME/.wine/config
fi

#   install more system files
if [ ! -f "$HOME/.wine/drive_c/windows/generic.ppd" ]; then
    echo "winesetup: creating file \"$HOME/.wine/drive_c/windows/generic.ppd\""
    cp $l_prefix/share/wine/generic.ppd $HOME/.wine/drive_c/windows/generic.ppd
fi

